Jump to content

[Résolu]Problème de librairie : RTCW


Recommended Posts

Bonjour, tout le monde,

Je ne pense pas m'être gourré de forum, car ça a plus un rapport avec Linux qu'avec le jeu en lui-même.

Donc, voilà mon petit problème.

J'ai installé, ça fait un petit moment, Return To Castle Wolfenstein (RTCW) et, j'ai voulu voir ce que le mode multi-joueurs donnait. Je sais, je sais. Il y a Wolfenstein : Enemy Territory et tout et tout, mais autant vous dire que j'aimerais avoir mon jeu 100% utilisable (Et non forcément utilisé :-P). J'ai essayé de lancer le mode multi-joueurs à partir du menu d'accueil, mais il ne se lance pas. Donc, j'essai directement, via la console, avec l'exécutable et il me met ce petit message :

jedifox@Sakura:/usr/share/games/wolfenstein$ ./wolfmp
./wolf.x86: error while loading shared libraries: libstdc++-libc6.2-2.so.3: cannot open shared object file: No such file or directory

Cette librairie, on la trouve où, s'il vous plait ? J'utilise Frugalware, et on a que ça. Si vous pouvez m'aider, s'il vous plait :-)

Merci d'avance de votre aide

jedifox

Link to comment
Share on other sites

ya bcp de libstdc++ !

 apt-get install libstdc++
libstdc++2.10-dev		  libstdc++5-3.3-dbg		 libstdc++6				 libstdc++6-4.1-dev		 libstdc++6-dbg
libstdc++2.8-dev		   libstdc++5-3.3-dev		 libstdc++6-0-dbg		   libstdc++6-4.1-doc		 libstdc++6-dev
libstdc++2.9-dev		   libstdc++5-3.3-doc		 libstdc++6-0-dev		   libstdc++6-4.1-pic		 libstdc++6-doc
libstdc++2.9-glibc2.1-dev  libstdc++5-3.3-pic		 libstdc++6-0-pic		   libstdc++6-4.2-dbg		 libstdc++6-pic
libstdc++3.0-dev		   libstdc++5-dbg			 libstdc++6-4.0-dbg		 libstdc++6-4.2-dev		 libstdc++-dev
libstdc++3.0-doc		   libstdc++5-dev			 libstdc++6-4.0-doc		 libstdc++6-4.2-doc		 
libstdc++5				 libstdc++5-doc			 libstdc++6-4.1-dbg		 libstdc++6-4.2-pic

Faudrait que tu saches quelle version tu as besoin...

Link to comment
Share on other sites

ya bcp de libstdc++ !

 apt-get install libstdc++
libstdc++2.10-dev		  libstdc++5-3.3-dbg		 libstdc++6				 libstdc++6-4.1-dev		 libstdc++6-dbg
libstdc++2.8-dev		   libstdc++5-3.3-dev		 libstdc++6-0-dbg		   libstdc++6-4.1-doc		 libstdc++6-dev
libstdc++2.9-dev		   libstdc++5-3.3-doc		 libstdc++6-0-dev		   libstdc++6-4.1-pic		 libstdc++6-doc
libstdc++2.9-glibc2.1-dev  libstdc++5-3.3-pic		 libstdc++6-0-pic		   libstdc++6-4.2-dbg		 libstdc++6-pic
libstdc++3.0-dev		   libstdc++5-dbg			 libstdc++6-4.0-dbg		 libstdc++6-4.2-dev		 libstdc++-dev
libstdc++3.0-doc		   libstdc++5-dev			 libstdc++6-4.0-doc		 libstdc++6-4.2-doc		 
libstdc++5				 libstdc++5-doc			 libstdc++6-4.1-dbg		 libstdc++6-4.2-pic

Faudrait que tu saches quelle version tu as besoin...

Salut,

Déjà, merci beaucoup de vos réponses. Et puis, merci pour tous ces libstdc++ mais... hé hé, je ne suis pas sous Ubuntu. Je suis sous Frugalware. Mais j'ai remarqué que sous Frugalware, on avait pas la version 6. Vous sauriez où la télécharger, s'il vous plait ? Comme ça, j'en ferai un paquet et la proposerai aux développeurs pour le mettre dans les dépôts.

Et puis, pour ce qui est de la version de libstdc++, ça m'à l'air d'être cette fameuse version 6 => "libstdc++-libc6.2-2.so.3"

D'ailleur, j'ai trouvé un topic qui expose exactement mon problème, mais évidemment... il est sur Ubuntu.... => ici

Ah oui.

J'ai déjà libstdc++ et libstdc++5 d'installé et ça ne fonctionne toujours pas, même en ayant fait des liens symboliques vers le répertoire d'installation du jeu... :-(

Link to comment
Share on other sites

Salut,

J'ai résolu mon problème. J'ai été chopé le .rpm de compat-libstdc++ sur internet et j'ai extrais le contenu grâce à alien et rpm. Le contenu, c'était unelib avec une sorte de lien symbolique. Donc, j'ai copié ces deux trucs dans le répertoire d'installation et j'ai lancé le mode multi-joueurs et ça fonctionne.

Merci encore de vos aides :-)

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...